Bug 1509421 - CMake files for yaml-cpp are not installed
Summary: CMake files for yaml-cpp are not installed
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yaml-cpp
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Guido Grazioli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-03 18:05 UTC by Matthew Woehlke
Modified: 2018-06-21 16:34 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-20 16:36:38 UTC


Attachments (Terms of Use)

Description Matthew Woehlke 2017-11-03 18:05:03 UTC
As of yaml-cpp-devel-0.5.3-4.fc26.x86_64, the CMake files are not being supplied. This makes it hard for CMake projects to use the packaged version of yaml-cpp.

Comment 1 Fedora Update System 2018-01-31 13:43:38 UTC
yaml-cpp-0.5.3-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bc5b5d1796

Comment 2 Fedora Update System 2018-01-31 13:43:45 UTC
yaml-cpp-0.5.3-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b86dd00d2

Comment 3 Fedora Update System 2018-01-31 18:43:55 UTC
yaml-cpp-0.5.3-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b86dd00d2

Comment 4 Fedora Update System 2018-01-31 22:46:45 UTC
yaml-cpp-0.5.3-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bc5b5d1796

Comment 5 Fedora Update System 2018-02-20 16:36:38 UTC
yaml-cpp-0.5.3-9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-02-20 17:12:01 UTC
yaml-cpp-0.5.3-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Matthew Woehlke 2018-06-21 16:32:48 UTC
BTW, this is *not* fixed in yaml-cpp-0:0.5.3-9.fc27, but *is* fixed in 0:0.6.1-2.fc28. (I think it's actually a 0.5.x vs. 0.6.x thing...) So the "fixed in version" is wrong...

Comment 8 Matthew Woehlke 2018-06-21 16:34:24 UTC
Wait, never mind... the config and only the config is present; 0.6 added exported targets. Ignore my last comment :-).


Note You need to log in before you can comment on or make changes to this bug.